"$schema" = 'https://starship.rs/config-schema.json'

format = """
$os\
$battery\
$username\
$directory\
$git_branch\
$git_status\
$c\
$rust\
$golang\
$nodejs\
$php\
$java\
$kotlin\
$haskell\
$python\
$docker_context\
$conda\
$time\
$character"""

palette = 'gruvbox_dark'

[palettes.gruvbox_dark]
color_fg0 = '#fbf1c7'
color_fg1 = '#3c3836'
color_fg3 = '#665c54'
color_blue = '#458588'
color_aqua = '#689d6a'
color_green = '#98971a'
color_orange = '#d65d0e'
color_purple = '#b16286'
color_red = '#cc241d'
color_yellow = '#d79921'

[battery]
format = '[$symbol]($style) '

[[battery.display]]
threshold = 0
charging_symbol = "[ 󰢟](fg:color_blue)"
discharging_symbol = "[ 󰂎](fg:color_red)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 10
charging_symbol = "[ 󰢜](fg:color_blue)"
discharging_symbol = "[ 󰁺](fg:color_red)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 20
charging_symbol = "[ 󰂆](fg:color_blue)"
discharging_symbol = "[ 󰁻](fg:color_yellow)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 30
charging_symbol = "[ 󰂇](fg:color_blue)"
discharging_symbol = "[ 󰁼](fg:color_green)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 40
charging_symbol = "[ 󰂇](fg:color_blue)"
discharging_symbol = "[ 󰁽](fg:color_aqua)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 50
charging_symbol = "[ 󰢝](fg:color_blue)"
discharging_symbol = "[ 󰁾](fg:color_aqua)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 60
charging_symbol = "[ 󰂉](fg:color_blue)"
discharging_symbol = "[ 󰁿](fg:color_aqua)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 70
charging_symbol = "[ 󰢞](fg:color_blue)"
discharging_symbol = "[ 󰂀](fg:color_aqua)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 80
charging_symbol = "[ 󰂊](fg:color_blue)"
discharging_symbol = "[ 󰂁](fg:color_aqua)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 90
charging_symbol = "[ 󰂋](fg:color_blue)"
discharging_symbol = "[ 󰂂](fg:color_aqua)"
style = "bold fg:color_fg0"

[[battery.display]]
threshold = 100
charging_symbol = "[ 󰂅](fg:color_blue)"
discharging_symbol = "[ 󰁹](fg:color_aqua)"
style = "bold fg:color_fg0"


[os]
disabled = false
style = "fg:color_aqua"

[os.symbols]
Windows = "󰍲"
Ubuntu = "󰕈"
SUSE = ""
Raspbian = "󰐿 "
Mint = "󰣭"
Macos = "󰀵"
Manjaro = ""
Linux = "󰌽"
Gentoo = "󰣨"
Fedora = "󰣛"
Alpine = ""
Amazon = ""
Android = ""
Arch = "󰣇"
Artix = "󰣇"
CentOS = ""
Debian = "󰣚"
Void = "  "
Redhat = "󱄛"
RedHatEnterprise = "󱄛"

[username]
show_always = true
style_user = "bold fg:color_fg0"
style_root = "bold fg:color_fg0"
format = '[ $user ]($style)'

[directory]
style = "fg:color_fg0 fg:color_yellow"
format = "[ $path ]($style)"
truncation_length = 3
truncation_symbol = "…/"

[directory.substitutions]
"Documents" = "󰈙 "
"Downloads" = " "
"Music" = "󰝚 "
"Pictures" = " "
"Developer" = "󰲋 "

[git_branch]
symbol = ""
style = "fg:color_fg0"
format = '[[ $symbol $branch ](fg:color_fg0)]($style)'

[git_status]
style = "fg:color_aqua"
format = '[[($all_status$ahead_behind )](fg:color_fg0 fg:color_aqua)]($style)'

[nodejs]
symbol = ""
style = "fg:color_purple"
format = '[[ $symbol( $version) ](fg:color_fg0 fg:color_blue)]($style)'

[java]
symbol = "☕"
style = "fg:color_blue"
format = '[[ $symbol( $version) ](fg:color_fg0 fg:color_blue)]($style)'

[kotlin]
symbol = " "
style = "fg:color_blue"
format = '[[ $symbol( $version) ](fg:color_fg0 fg:color_blue)]($style)'

[haskell]
symbol = " "
style = "fg:color_purple"
format = '[[ $symbol( $version) ](fg:color_fg0 fg:color_blue)]($style)'

[python]
symbol = "🐍"
style = "fg:color_blue"
format = '[[ $symbol( $version) ](fg:color_fg0 fg:color_blue)]($style)'

[docker_context]
symbol = "🐳"
style = "fg:color_bg3"
format = '[[ $symbol( $context) ](fg:#83a598 fg:color_bg3)]($style)'

[conda]
style = "fg:color_bg3"
format = '[[ $symbol( $environment) ](fg:#83a598 fg:color_bg3)]($style)'

[time]
disabled = false
time_format = "%R"
style = "bold fg:color_bg1"
format = '[[ $time ](bold fg:color_fg0)]($style)'

[line_break]
disabled = false

[character]
disabled = false
success_symbol = '[󰅂](bold fg:color_blue)'
error_symbol = '[󰅂](bold fg:color_red)'
vimcmd_symbol = '[󰅁](bold fg:color_aqua)'
vimcmd_replace_one_symbol = '[󰅁](bold fg:color_purple)'
vimcmd_replace_symbol = '[󰅁](bold fg:color_purple)'
vimcmd_visual_symbol = '[󰅁](bold fg:color_yellow)'
